package com.ym.admodule.config;

import com.ym.modulecommon.module.NewsEntity;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * Craeted by ${junqi.li}
 * Craeted by 2020/10/16
 */
public class AdCache {

    public static long TIME_OUT = 1000 * 60 * 15;//默认超时时间

    public static String cacheAdMapKey = "cacheMapKey";
    //保存预加载数据 判断是否有数据来判断是否有预加载数据
    public static int AdCacheNum = 3;
    public static long AdCacheTimeOut = 0;

    //缓存超时管理
    public static HashMap<String, Long> adCacheTimeOutList = new HashMap<>();


    //激励视频预加载
    public static HashMap<String, List<NewsEntity>> rewardList = new HashMap<>();
    public static HashMap<String, NewsEntity> cacheAdMap = new HashMap<>();//TODO a
    public static HashMap<String, NewsEntity> cacheAdMapB = new HashMap<>();//TODO  b

    //插屏
    public static HashMap<String, List<NewsEntity>> interactionList = new HashMap<>();
    public static HashMap<String, NewsEntity> cacheAdFullMap = new HashMap<>();//TODO a
    public static HashMap<String, NewsEntity> cacheAdFullMapB = new HashMap<>();//TODO  b

    //大图预加载
    public static HashMap<String, List<NewsEntity>> nativeList = new HashMap<>();//大图
    public static HashMap<String, NewsEntity> nativeCacheList = new HashMap<>();//大图
    public static HashMap<String, NewsEntity> nativeCacheListB = new HashMap<>();//大图
    public static HashMap<String, String> nativeCacheTime = new HashMap<>();//大图 超时时间
    public static final int rewardAdNumber = 5;
    public static final int feedAdNumber = 5;
    public static final int interAdNumber = 5;
    public static final int interNewNumber = 5;


    //开屏预加载
    public static HashMap<String, NewsEntity> splashCacheList = new HashMap<>();//开屏缓存
    public static HashMap<String, String> splashTime = new HashMap<>();//开屏 超时时间

    //插屏的数据
    public static ArrayList<NewsEntity> interaList = new ArrayList<>();

}
